Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mariadb-connector-c/
Date: Fri, 14 Feb 2020 15:30:45
Message-Id: 1581693901.dc9030e267fc82c312a9a05a92f471eeb0487738.whissi@gentoo
commit:     dc9030e267fc82c312a9a05a92f471eeb0487738
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 15:25:01 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 15:25:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc9030e2

dev-db/mariadb-connector-c: bump to v3.1.7

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/mariadb-connector-c/Manifest                |  1 +
 .../mariadb-connector-c-3.1.7.ebuild               | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-db/mariadb-connector-c/Manifest b/dev-db/mariadb-connector-c/Manifest
index 36e224defa0..854f5361f2f 100644
--- a/dev-db/mariadb-connector-c/Manifest
+++ b/dev-db/mariadb-connector-c/Manifest
@@ -1,2 +1,3 @@
 DIST mariadb-connector-c-3.0.6-src.tar.gz 666819 BLAKE2B 7245c0e13e569454d1cc70e3579afcbd53c64a0a7e828012b38d73f7d737a81b4fdf0363bd1b156dae783806a51773dbceb2ea06621bd4a73773edb78a70249a SHA512 6a41efacff1840eb8ddd8b34d8894b51f260444c76a1344f9ac9b675fd8492d44716338e4c11594d80118b12d90f75430304282650bce0d5f64179df6cc14d8e
 DIST mariadb-connector-c-3.1.6-src.tar.gz 742858 BLAKE2B 416cc33cf7a01fee9649f6c35e0a7e16b889a1fad10f2b204e259a2672535d1ad7f9ade9723989a4ce00cf8a2c4660f40357516bfdc4547118a54637911f9b60 SHA512 44309e706cb49451a0d1a91f907ab7cfa1fb1bf95d26cf3bbce1caa367c2fa8ad377a691361e297dd2fcbc444c10115f18aec66dd6d69c458f282ace3025a3e8
+DIST mariadb-connector-c-3.1.7-src.tar.gz 742923 BLAKE2B 641c3c49cf83af918e5dab06f9b8afecd59bd7b6486cc55b33749cd0ef317ab6cff86da9b85829b0309305a190e16f4ecc369210c54070e265387a5818c48ca1 SHA512 0b7f6497b6b88b2bbcb870b7c3a8f3fe0bf547c6b5d9b95cc99423aa8ea02ac510c5fb71079e7cd79a49741c7f26f3e68c39e245b18fab46754e8640f79ff670

diff --git a/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.7.ebuild b/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.7.ebuild
new file mode 100644
index 00000000000..63c6d2e6025
--- /dev/null
+++ b/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.7.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VCS_INHERIT=""
+if [[ "${PV}" == 9999 ]] ; then
+	VCS_INHERIT="git-r3"
+	EGIT_REPO_URI="https://github.com/MariaDB/mariadb-connector-c.git"
+else
+	MY_PN=${PN#mariadb-}
+	MY_PV=${PV/_b/-b}
+	SRC_URI="https://downloads.mariadb.org/f/${MY_PN}-${PV%_beta}/${PN}-${MY_PV}-src.tar.gz?serve -> ${P}-src.tar.gz"
+	S="${WORKDIR%/}/${PN}-${MY_PV}-src"
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+fi
+
+inherit cmake-utils multilib-minimal toolchain-funcs ${VCS_INHERIT}
+
+MULTILIB_CHOST_TOOLS=( /usr/bin/mariadb_config )
+
+MULTILIB_WRAPPED_HEADERS+=(
+	/usr/include/mariadb/mariadb_version.h
+)
+
+DESCRIPTION="C client library for MariaDB/MySQL"
+HOMEPAGE="https://mariadb.org/"
+LICENSE="LGPL-2.1"
+
+SLOT="0/3"
+IUSE="+curl gnutls kerberos libressl +ssl static-libs test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="sys-libs/zlib:=[${MULTILIB_USEDEP}]
+	virtual/libiconv:=[${MULTILIB_USEDEP}]
+	curl? ( net-misc/curl:0=[${MULTILIB_USEDEP}] )
+	kerberos? ( || ( app-crypt/mit-krb5[${MULTILIB_USEDEP}]
+			app-crypt/heimdal[${MULTILIB_USEDEP}] ) )
+	ssl? (
+		gnutls? ( >=net-libs/gnutls-3.3.24:0=[${MULTILIB_USEDEP}] )
+		!gnutls? (
+			libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+			!libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+		)
+	)
+	"
+RDEPEND="${DEPEND}"
+PATCHES=(
+	"${FILESDIR}"/gentoo-layout-3.0.patch
+	"${FILESDIR}"/${PN}-3.1.3-fix-pkconfig-file.patch
+)
+
+src_configure() {
+	# bug 508724 mariadb cannot use ld.gold
+	tc-ld-disable-gold
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DWITH_EXTERNAL_ZLIB=ON
+		-DWITH_SSL:STRING=$(usex ssl $(usex gnutls GNUTLS OPENSSL) OFF)
+		-DWITH_CURL=$(usex curl ON OFF)
+		-DCLIENT_PLUGIN_AUTH_GSSAPI_CLIENT:STRING=$(usex kerberos DYNAMIC OFF)
+		-DMARIADB_UNIX_ADDR="${EPREFIX}/var/run/mysqld/mysqld.sock"
+		-DINSTALL_LIBDIR="$(get_libdir)"
+		-DINSTALL_PCDIR="$(get_libdir)/pkgconfig"
+		-DINSTALL_PLUGINDIR="$(get_libdir)/mariadb/plugin"
+		-DINSTALL_BINDIR=bin
+		-DWITH_UNIT_TESTS=$(usex test ON OFF)
+	)
+	cmake-utils_src_configure
+}
+
+multilib_src_compile() {
+	cmake-utils_src_compile
+}
+
+multilib_src_install() {
+	cmake-utils_src_install
+}
+
+multilib_src_install_all() {
+	if ! use static-libs ; then
+		find "${D}" -name "*.a" -delete || die
+	fi
+}